# Interface StaticMembershipInterceptorMBean

All Known Implementing Classes:
  `StaticMembershipInterceptor`

public interface StaticMembershipInterceptorMBean
MBean interface for the static membership interceptor.

## Method Summary

Modifier and Type
Method
Description
`Member`
`getLocalMember(boolean incAlive)`
Returns the local member.
`int`
`getOptionFlag()`
Returns the option flag used for message sending.

## Method Details

### getOptionFlag

int getOptionFlag()
Returns the option flag used for message sending.

Returns:
  the option flag

### getLocalMember

Member getLocalMember(boolean incAlive)
Returns the local member.

Parameters:
  `incAlive` - whether to increment the alive counter
Returns:
  the local member